%define name 	textutils
%define version 2.0.17
%define release 7mdk

%define info_name coreutils

Summary:	A set of GNU text file modifying utilities.
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Text tools
Url:		http://www.gnu.org/software/textutils/textutils.html
#Source:		ftp://ftp.gnu.org/gnu/textutils/textutils-%{version}.tar.bz2
Source:		ftp://alpha.gnu.org/gnu/fetish/textutils-%{version}.tar.bz2
Source1:	textutils-2.0-po-update.tar.bz2
Source10:	textutils-chinese-locales.tar.bz2
Patch: textutils-2.0.17-mem.patch.bz2
Patch1: textutils-2.0.16-longlong.patch.bz2
Patch102:	textutils-2.0.17-fix-info.diff.bz2
Prereq:		/sbin/install-info
Buildroot:	%{_tmppath}/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
# patch in new ALL_LINGUAS
%patch102 -p0

%build
%configure
%make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

mkdir -p $RPM_BUILD_ROOT/bin
for f in cat sort cut; do
  mv $RPM_BUILD_ROOT/usr/bin/$f $RPM_BUILD_ROOT/bin/$f
done
ln -sf ../../bin/cut $RPM_BUILD_ROOT/usr/bin
pushd $RPM_BUILD_ROOT%_datadir/locale; mv zh zh_TW
popd

%find_lang %{name}

%pre
# This is needed to remove info references on update because of coreutils.info
if [ -f /usr/share/info/textutils.info.bz2 ]; then
	/sbin/install-info /usr/share/info/textutils.info.bz2 --dir=/usr/share/info/dir --remove &>/dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
/bin/*
%{_prefix}/bin/*
%{_mandir}/man*/*

%changelog
* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-7mdk
- on popular request, don't overwrite translation with outdated ones;
  thus we get back denish, galician, japanese, brezilian & slovaque
  translations

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-6mdk
- do not overwrite anymore translations with outdated ones (R.I.P. Deaddog)

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-5mdk
- add infrastructure to ease update

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-4mdk
- info_desinstall old info file if needed to ease upgrade from mdk8.1

* Thu Jan 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-3mdk
- oops, remove %%post & %%preun scripts too

* Thu Jan 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-2mdk
- fix od
- fix textutils info weirdeness

* Sat Jan 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-1mdk
- new release

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.14-4mdk
- add %%url

* Fri Aug 03 2001 Yves Duret <yduret@mandrakesoft.com> 2.0.14-3mdk
- move cut from /usr/bin to /bin and added symlink for compatiblities
  (mkbootdisk need cut and must stay in /bin)

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.14-2mdk
- build release

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.14-1mdk
- new release

* Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.0-11mdk
- merge po update from pablo, to fix build
- clean up spec a bit
- use %%make

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-10mdk
- rebuild against glibc-2.2.2.

* Sun Jan 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0-9mdk
- remove bogus zh locale.

* Sun Jan 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0-8mdk
- add Chinese translations.
- fix bad source url.

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-7mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-6mdk
- fix tmppath

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-5mdk
- BM

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0-4mdk
- Clean up specs.
- Use makeinstall macros.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-3mdk
- fix group 

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merges.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rewrite some spec file pieces:
	- use file.list.textutils and find-lang.sh
	- build as non-root
- Update to latest version :
        * Version 2.0.
        * src/sort.c: Include file name in `write error' diagnostics.
        (write_bytes): Add output_file parameter and use it.  Update callers.
        (mergefps): Likewise.
        (merge): Likewise.
        (sort): Likewise.
        Reported by John Summerfield.
        * src/tail.c (Follow_mode): Remove comma at end of enumerator list.
        Reported by Kaveh Ghazi.
        * config.sub: Update from autoconf.
        * config.guess: Update from autoconf.

* Wed Jul 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.22n
- french description 

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc

